Subject: [arch-d] IAB Adoption of draft-nottingham-for-the-users-09

From: IAB Executive Administrative Manager <[email-masked]>
Date: Mon, 22 Jul 2019 07:09:21 -0700

The IAB will discuss adoption of draft-nottingham-for-the-users-09 at 
its meeting on 2019-08-07.

The draft can be found here: 
https://datatracker.ietf.org/doc/draft-nottingham-for-the-users/

The agenda for the meeting will be posted 48 hours ahead of the meeting 
here: https://www.iab.org/wiki/index.php/Agenda

Feedback about this draft can be sent in response to this mail on 
[email-masked], or to the IAB directly at [email-masked].

---

From: Vittorio Bertola <[email-masked]>
Date: Tue, 23 Jul 2019 15:31:18 +0200 (CEST)

> Il 22 luglio 2019 16:09 IAB Executive Administrative Manager <[email-masked]> ha scritto:
> 
>  

You may remember that I already sent extensive feedback, mostly critical, when -07 was released and the same question was asked. I can say that after that, and after I had a chance to discuss this in person with an IAB member, the following versions have become noticeably better, so thanks for this.

I will still state a few points for the IAB to consider when making its mind on whether to adopt this draft, and on how to develop it further.

1. Whose interest is it really?

If this is going to be a high level policy declaration of "we do it for the general public interest", i.e. the interest of "the people" in general, this is a positive thing. However, you have to be absolutely sure that this will never be used as a way to push the standards-making process in a direction that benefits certain companies over others.

Especially, there is a decade-long competitive battle ongoing between companies providing services within the network and companies providing services over the network, at the endpoints of the connections. Sometimes the "end user" interest can be aligned with the former, sometimes with the latter, and sometimes (perhaps the most likely case) with neither of the two. The IETF should never make policy choices meant to be in favour of any of the two sets of businesses, but only in favour of the actual end users.

Even from the theoretical point of view, when individual "end users" form an organization, be it an NGO, a business or a government, the organization they form - which starts to have interests of its own - is not, in policy terms, an "end user" any more, even if it sits at the edge of the network. This is a known difference between the policy and the technology realm and should be made very clear in the conceptualization of this document. 

2. Easy to say, hard to do 

The second issue is that the controversial part when doing something "in the interest of the people" is not the principle statement, but how to determine what the interest of the people actually is. 

Currently, the IETF is spectacularly ill equipped for that, and the draft does not seem to address the problem, apart from a generic invitation to reach out to civil society organizations and other stakeholders, which however also generally do not represent the interest of "end users", but at most of subsets of them (e.g. the Electronic Frontiers Foundation and the Internet Watch Foundation are going to give you opposite advice on what is in the general public interest and "for social good", though both are civil society organizations). Again, the problem is not how to get multiple end-user interests stated, but how to decide which ones are to prevail, which is always a subjective judgement by each participant, and needs to be aggregated "fairly".

Mankind has worked for centuries to build complex institutional arrangements to get to determine "what's best for the people", and at least for a couple of decades to build similar arrangements specifically for the Internet. Yet there is no indication of their role in this document - it looks like, all of a sudden, the IETF (even at the individual WG level) is going to make its own policy decisions, alone, after running its own consultations with stakeholders. This looks unreliable, unaccountable, uncooperative, and unlikely to bring to any valid result.

In the end, if the IETF is going to adopt this policy, I would suggest that it should also have some ideas on how to implement it and on how it would fit into the broader Internet governance institutional galaxy.

3. This is not (common) law

The draft seems to imply that the IETF is building a corpus of principle documents that are to be used as a binding reference to put an end to any doubt on how to apply the main guideline - basically, a "constitution" of the IETF. The draft actually lists RFC7754, RFC7258, RFC7624 and others.

I sincerely doubt that the policy realm in which we are working is so clear, static and globally uniform that you can express such broader principles and apply them at any time and in any circumstance without further thought. Actually, I think that you need to do the opposite - start with a tentative guideline, see if it actually works in practice, be ready to adapt it to changing circumstances or to new information that shows you that what you thought would work nicely is actually creating more problems than it solves, or conflicts with one of the other guidelines.

And if you still want to establish policy guidelines for protocol development, I think you need to set specifically high barriers for developing them. You must be really sure that they represent broad policy consensus that goes well beyond a small number of IAB or WG members, and - as they affect the whole Internet - beyond the IETF itself.

This is just a set of personal opinions, building on scarce IETF experience but a long personal history in Internet policy; I hope it can contribute usefully to the discussion and I will be happy to continue if the IAB decides to adopt this document.

-- 
 
Vittorio Bertola | Head of Policy & Innovation, Open-Xchange
[email-masked] 
Office @ Via Treviso 12, 10144 Torino, Italy

---

From: Eliot Lear <[email-masked]>
Date: Tue, 23 Jul 2019 16:10:36 -0400

This draft represents a marked improvement.  While I still see some small issues to discuss, IMHO the document is Good Enough for the IAB to adopt.

Eliot

> On 22 Jul 2019, at 10:09, IAB Executive Administrative Manager <[email-masked]> wrote:
> 
> _______________________________________________
> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss

---

From: Jefsey <[email-masked]>
Date: Thu, 25 Jul 2019 02:13:03 +0200

On 15:31 23/07/2019, Vittorio Bertola said:
>The draft seems to imply that the IETF is building a corpus of 
>principle documents that are to be used as a binding reference to 
>put an end to any doubt on how to apply the main guideline - 
>basically, a "constitution" of the IETF. The draft actually lists 
>RFC7754, RFC7258, RFC7624 and others.

Dear Vittorio,

35 years years ago I used to come to your Turino place, to discuss 
with FIAT's EDP Director and his team about their plan for the 
preparation of their corporate network, as I did with Philips, 
Unilever, Visa, Swift, many PTTs, etc. They guested me because they 
used my machine at Italcable to access their US hosts and wanted our 
technology. Then, I am afraid the world suffered from a 30 years 
technological militaro-industrial TCP take-over and status-quo. It 
has not yet recovered from it.

There are two subtly different ways, but with important consequences, 
to approach technology:

1. As an end in itself: it must always be improved to be available 
for better performance, innovation, and new types of uses, which 
might lead it to be used to control it (cf. IAB warnings in 
<http://tools.ietf.org/html/rfc3869>RFC 3869).

1.1. This is the position of the IETF, in the academic tradition of 
Licklider, John McCarthy, etc. It links to IEEE, IAB, IETF, ISOC, and 
W3C). The goal of the IETF is to make the Internet work better. The 
mission of the IETF is to produce high quality, relevant technical 
and engineering documents that influence the way people design, use, 
and manage the Internet in such a way as to make the Internet work better. »

1.2. Technology influences people. Code is law.  i.e. Eventually law 
should be code, i.e. standards by standard makers.

2. as a prothesis that is to extend the human individual and 
collective capacities: for a "plus human" by the "plus machina".

2.1. This was the Tymshare (Augment) philosophy by sharing machines 
(Doug Engelbart, augmentation) and diktyological (networking) power, 
the extended (intelligent) networking of the multitude (my mid-1980 
Tymnet Extended Network Services) of sovereign users 
(capacitation).  To fully understand this you need to know the true 
digital network story.

2.2. This also is the position of the WSIS: a knowledge society that 
is to be "people-centered, à caractère humain, centrada en la persona".

You would like to consider the points of possible relations between 
the IETF and the Governments, civil society, private sector, and 
international organizations that coordinate through the IGF, the IETF 
was missed at the WSIS. It was then led by Brian Carpenter who 
happened to live in Geneva. His position at the time was « the least 
he heard of it the best it was ». So nothing was discussed. On 
20131210, when the Sao Paulo US/Brazil attempt was on its way, he 
explained: « Does anyone have a shred of respect for anything that 
came out of WSIS?[…] The best thing the IGF (and the Brazil meeting) 
could do is ban the G word and separate the two discussions. » 
Typical  IETF/American "ITU/UNO-phobia".

Please note that, as far as we (the individual users' multitude) are 
concerned, there is a still available low layer catenet, hampered by 
the various ISP filters to address the IETF TCP patches and to comply 
with GAFGovs pollution (existing and still more to come). Until now, 
it still survives at the lowest UDP layers. Google tries to make 
something out of it (quic), the same as I am trying to do with fellow 
academic seniors (we have temporarily named it « kyk » (the « kick 
your knowledge per machinam» project, resuming at the 1986 level (1), 
plus what software developed in 30 years in spite of the IETF 
technical status quo).

I agree, everyone must fight industrial pollution. Some quit smoking, 
and the IAB considers this draft. Why not? Anyway, I guesstimate the 
ICANN pollution peaked a few years ago. Now it is patching the IETF 
IDNA into the UA-1500 TLDs rigmarole.

Vale !
Jefsey

---
(1) because we think that the network node operating system for 
communication processing should function in continuity with the very 
network architecture.

---

From: "Dirk Kutscher" <[email-masked]>
Date: Wed, 31 Jul 2019 11:55:51 +0200

Hi all,

my comments on the draft:

I welcome the effort and the intention to provide some guidelines to 
prevent harm in the technical decision making. Also, the draft has much 
improved compared to earlier versions.

My fundamental concern is that the “prioritizing the end user” axiom 
does not automatically lead you to good design decisions — because 
there are different stake-holders, interests etc that will just use the 
“end user” argument:

- ISP: it’s in the interest of the user to have a well-managed 
network…
- government: users are citizens — we need to protect them from the 
terrorists
- surveillance platform: the user prefers personalized ads over spam
- addictive social media: the user wants high-speed, confidential access 
to our content

That means, the “what is good for the end user” argument will have 
to be fought out for almost every design decision. Perhaps this is what 
the draft should say?

Dirk

---

From: Eliot Lear <[email-masked]>
Date: Wed, 31 Jul 2019 12:30:35 +0200

> On 31 Jul 2019, at 11:55, Dirk Kutscher <[email-masked]> wrote:
> 
> That means, the “what is good for the end user” argument will have to be fought out for almost every design decision. Perhaps this is what the draft should say?

To me, that is an important aspect.  It’s good for this tussle to play out.  Mark has done a really good job of growing this concept.  What we didn’t get to do at the f2f meeting in Montreal is establish a venue for how to discuss, and whether PRs would be entertained.  IMHO it’s also worth some face time, but that’s me.

---

From: Marie-Jose Montpetit <[email-masked]>
Date: Wed, 31 Jul 2019 06:39:07 -0400

Good points!  My comment is about defining end users as non technical. At
what level of knowledge does one become technical or non technical? I would
say that ‘for the users’ should mean everyone who uses network services
that they buy from someone else. As a woman I am sensitive to the
paternalism of the ‘non technical’ definition.

And as Dirk says ‘what is good for fhe user’ is very context dependent, I
am also chairing an IEEE group on face recognition standardization and the
‘good for the user’ there is highly debated wether you are law enforcement
or citizens activists. I think the draft does not address these nuances.

mjm

Marie-José Montpetit, Ph.D.
Research Affiliate, MIT Media Laboratory
[email-masked]
[email-masked]

On July 31, 2019 at 5:55:51 AM, Dirk Kutscher ([email-masked]) wrote:

> My fundamental concern is that the “prioritizing the end user” axiom does
> not automatically lead you to good design decisions — because there are
> different stake-holders, interests etc that will just use the “end user”
> argument:
>
>    - ISP: it’s in the interest of the user to have a well-managed network…
>    - addictive social media: the user wants high-speed, confidential
>    access to our content
>
> That means, the “what is good for the end user” argument will have to be
> fought out for almost every design decision. Perhaps this is what the draft
> should say?
>
> Dirk
>